diff --git a/src/backend/utils/adt/formatting.c b/src/backend/utils/adt/formatting.c
index 45e36f9..5ad6437 100644
--- a/src/backend/utils/adt/formatting.c
+++ b/src/backend/utils/adt/formatting.c
@@ -720,12 +720,12 @@ static const KeyWord DCH_keywords[] = {
 	{"B.C.", 4, DCH_B_C, FALSE, FROM_CHAR_DATE_NONE},	/* B */
 	{"BC", 2, DCH_BC, FALSE, FROM_CHAR_DATE_NONE},
 	{"CC", 2, DCH_CC, TRUE, FROM_CHAR_DATE_NONE},		/* C */
-	{"DAY", 3, DCH_DAY, FALSE, FROM_CHAR_DATE_NONE},	/* D */
+	{"DAY", 3, DCH_DAY, FALSE, FROM_CHAR_DATE_GREGORIAN},/* D */
 	{"DDD", 3, DCH_DDD, TRUE, FROM_CHAR_DATE_GREGORIAN},
 	{"DD", 2, DCH_DD, TRUE, FROM_CHAR_DATE_GREGORIAN},
-	{"DY", 2, DCH_DY, FALSE, FROM_CHAR_DATE_NONE},
-	{"Day", 3, DCH_Day, FALSE, FROM_CHAR_DATE_NONE},
-	{"Dy", 2, DCH_Dy, FALSE, FROM_CHAR_DATE_NONE},
+	{"DY", 2, DCH_DY, FALSE, FROM_CHAR_DATE_GREGORIAN},
+	{"Day", 3, DCH_Day, FALSE, FROM_CHAR_DATE_GREGORIAN},
+	{"Dy", 2, DCH_Dy, FALSE, FROM_CHAR_DATE_GREGORIAN},
 	{"D", 1, DCH_D, TRUE, FROM_CHAR_DATE_GREGORIAN},
 	{"FX", 2, DCH_FX, FALSE, FROM_CHAR_DATE_NONE},		/* F */
 	{"HH24", 4, DCH_HH24, TRUE, FROM_CHAR_DATE_NONE},	/* H */
@@ -768,10 +768,10 @@ static const KeyWord DCH_keywords[] = {
 	{"b.c.", 4, DCH_b_c, FALSE, FROM_CHAR_DATE_NONE},	/* b */
 	{"bc", 2, DCH_bc, FALSE, FROM_CHAR_DATE_NONE},
 	{"cc", 2, DCH_CC, TRUE, FROM_CHAR_DATE_NONE},		/* c */
-	{"day", 3, DCH_day, FALSE, FROM_CHAR_DATE_NONE},	/* d */
+	{"day", 3, DCH_day, FALSE, FROM_CHAR_DATE_GREGORIAN},/* d */
 	{"ddd", 3, DCH_DDD, TRUE, FROM_CHAR_DATE_GREGORIAN},
 	{"dd", 2, DCH_DD, TRUE, FROM_CHAR_DATE_GREGORIAN},
-	{"dy", 2, DCH_dy, FALSE, FROM_CHAR_DATE_NONE},
+	{"dy", 2, DCH_dy, FALSE, FROM_CHAR_DATE_GREGORIAN},
 	{"d", 1, DCH_D, TRUE, FROM_CHAR_DATE_GREGORIAN},
 	{"fx", 2, DCH_FX, FALSE, FROM_CHAR_DATE_NONE},		/* f */
 	{"hh24", 4, DCH_HH24, TRUE, FROM_CHAR_DATE_NONE},	/* h */
